# Update email account's BoxTrapper configuration

This function modifies an account's BoxTrapper configuration.

Important:

When you disable the Receive Mail role, the system disables this function.

Endpoint: GET /BoxTrapper/save_configuration
Version: 11.136.0.25
Security: BasicAuth

## Query parameters:

  - `email` (string, required)
    The account's email address.

Warning:

If you call this function in Webmail, the system ignores this parameter and defaults to the currently-authenticated email address.
    Example: "user@example.com"

  - `enable_auto_whitelist` (integer, required)
    Whether to enable automatic whitelisting for the account.

* 1 - Enable.
* 0 - Disable.
    Enum: 0, 1

  - `from_addresses` (string, required)
    A comma-separated list of email addresses that the system uses when it sends messages back to the original message senders.
    Example: "sender1@test.com,sender2@test.com"

  - `queue_days` (integer, required)
    The number of days to retain log files and queued messages.
    Example: 14

  - `whitelist_by_association` (integer, required)
    Whether to whitelist the email addresses in a message's To and From sections, including carbon-copied (CC) recipients.

* 1 - Whitelist.
* 0 - Do not whitelist.
    Enum: 0, 1

  - `from_name` (string)
    The name of the person who owns the email account.
    Example: "User"

  - `spam_score` (number)
    The account's Apache SpamAssassin™ threshold score. For more information about Apache SpamAssassin threshold scores, read our Spam Filters documentation.

Note:

This parameter defaults to the account's current configuration.
    Example: 2.5

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "save_configuration"

  - `module` (string)
    The name of the module called.
    Example: "BoxTrapper"

  - `result` (object)

  - `result.data` (object,null)

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    - 1 - Success.
- 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


